## nvidia-graphics-drivers 435.21

=== debian/changelog ===
nvidia-graphics-drivers (435.21-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 25 Sep 2019 12:50:40 -0700

nvidia-graphics-drivers (435.21-1) experimental; urgency=medium

  * New upstream short lived branch release 435.21 (2019-08-29).
    - Fixed a bug that caused the X server to crash when using HardDPMS with
      an NVIDIA-driven GPU Screen.
  * New upstream beta 435.17 (2019-08-13).
    - Fixed a bug which caused the kernel to panic when exiting a single X
      server when multiple X servers were active and in an SLI configuration.
    - Fixed a regression introduced in the 430.* series of releases that
      caused a segmentation fault in libnvcuvid.so while using Video Codec
      SDK APIs on certain graphics boards.
    - Added initial experimental support for runtime D3 (RTD3) power
      management on Turing notebook GPUs.
    - Improved nvidia-bug-report.sh to collect runtime D3 (RTD3) power
      management information.
    - Improved nvidia-bug-report.sh to collect ACPI tables when the acpidump
      tool is available.
    - Added Vulkan and OpenGL+GLX support for PRIME render offload.
      Please see the PRIME Render Offload chapter in the README for
      system requirements and configuration details.
    - Fixed the cuvidParseVideoData API in the NVCUVID driver to
      correctly propagate errors returned by the PFNVIDSEQUENCECALLBACK
      callback function to the application.
    - Fixed a bug that caused the NVIDIA X driver to behave incorrectly or
      crash when a client queried Xinerama information on X servers with a
      non-NVIDIA X screen as screen 0.
    - Fixed a bug that could cause Vulkan applications to generate spurious
      warning messages about a missing NV-GLX extension.
    - Removed the non-GLVND OpenGL libraries from the NVIDIA Linux driver
      installation package. The GLVND OpenGL libraries were introduced in
      release 361.16, and have been installed by default since release
      364.12, with the non-GLVND versions available as an alternative via
      the "--no-glvnd-glx-client" and "--no-glvnd-egl-client" installer
      options. As the non-GLVND libraries are no longer included in the
      installation package, these options will no longer have any effect.
    - Fixed a bug that prevented nvidia-drm from marking preferred modes
      properly when reporting display information via the DRM-KMS API.
    - Fixed the NvEncodeAPI driver to correctly reject the encoding of
      sequences with resolutions smaller than what the NVENC supports.

  [ Luca Boccassi ]
  * Remove non-GLVND packages.
  * nvidia-vulkan-common: Ship nvidia_layers.json.
  * Update symbols files.
  * Update lintian overrides.

  [ Andreas Beckmann ]
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 31 Aug 2019 00:15:24 +0200

nvidia-graphics-drivers (430.40-2) unstable; urgency=medium

  * Mark GPUs with Kepler notebook chips as legacy, supported only up to
    nvidia-legacy-390xx-driver. Support was dropped in the 430 series.
    https://nvidia.custhelp.com/app/answers/detail/a_id/4779
    https://nvidia.custhelp.com/app/answers/detail/a_id/4788
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 30 Aug 2019 10:46:18 +0200

nvidia-graphics-drivers (430.40-1) experimental; urgency=medium

  * New upstream long lived branch release 430.40 (2019-07-29).
    - Added support for the following GPU: GeForce RTX 2080 SUPER.
    - Fixed a driver installation failure in Linux kernel configurations
      with CONFIG_HOTPLUG_CPU.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Aug 2019 12:50:26 +0200

nvidia-graphics-drivers (430.34-1) experimental; urgency=medium

  * New upstream long lived branch release 430.34 (2019-07-09).
    - Added support for the following GPUs: GeForce RTX 2060 SUPER,
      GeForce RTX 2070 SUPER.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jul 2019 18:23:34 +0200

nvidia-graphics-drivers (430.26-1) experimental; urgency=medium

  * New upstream long lived branch release 430.26 (2019-06-10).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Jun 2019 12:18:57 +0200

nvidia-graphics-drivers (430.14-1) experimental; urgency=medium

  * New upstream long lived branch release 430.14 (2019-05-14).
    - Improved performance of the Vulkan title, DiRT4.
    - Added support for presentation from queue families which only expose
      VK_QUEUE_COMPUTE_BIT. This improves performance of Steam Play title,
      Wolfenstein II: The New Colossus.
  * New upstream beta 430.09 (2019-04-23).
    - Fixed a bug that could cause the display to be driven at a low
      resolution when configuring PRIME display offloading with
      `nvidia-xconfig --prime`.
    - Added HEVC YUV 4:4:4 decode support to the NVIDIA VDPAU driver.
    - Added the new per-decoder profile capability bit
      VDP_DECODER_PROFILE_SUPPORTED_CHROMA_TYPES to the NVIDIA VDPAU driver.
    - Added new VdpYCbCrFormats VDP_YCBCR_FORMAT_Y_UV_444 and
      VDP_YCBCR_FORMAT_Y_U_V_444 for accessing YUV 4:4:4 surfaces via
      VdpVideoSurfaceGetBitsYCbCr() and VdpVideoSurfacePutBitsYCbCr()
      in the NVIDIA VDPAU driver.
    - Added support for creation of YUV 4:4:4 video surfaces in
      the NVIDIA VDPAU driver.
    - Fixed display color range handling on pre-Turing GPUs, such that when
      limited color range is selected through the display controls page in
      nvidia-settings, output pixel values will be correctly clamped to
      Consumer Technology Association (CTA) range.
    - Raised the minimum supported X.Org xserver version to 1.7 (video driver
      ABI version 6).

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Update lintian overrides.
  * Upload to experimental.


