=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.18.7),
 xz-utils,
 dkms,
 libvulkan1 (>= 1.0.42),
 libxext6 [!ppc64el],
 quilt,
 po-debconf,
 libglvnd-dev,
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: https://www.nvidia.com
Xs-Autobuild: yes

Package: nvidia-driver
Section: non-free/x11
Architecture: amd64 i386 armhf
Pre-Depends:
 nvidia-installer-cleanup [${nvidia:arch:has-driver}],
 ${nvidia:legacy-check},
Depends:
 nvidia-legacy-390xx-driver [${nvidia:arch:has-no-driver}],
 ${nvidia}-driver-libs (= ${binary:Version}) [${nvidia:arch:has-driver}],
 ${nvidia}-driver-bin (= ${binary:Version}) [${nvidia:arch:has-driver}],
 xserver-xorg-video-${nvidia} (= ${binary:Version}) [${nvidia:arch:has-driver}],
 ${nvidia}-vdpau-driver (= ${binary:Version}) [${nvidia:arch:has-driver}],
 ${nvidia}-alternative (= ${binary:Version}) [${nvidia:arch:has-driver}],
 ${nvidia:kmod:binary},
 nvidia-support [${nvidia:arch:has-driver}],
 ${misc:Depends}
Recommends:
 ${nvidia-settings} [${nvidia:arch:has-driver}],
 lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:arch:has-driver}],
 nvidia-persistenced [${nvidia:arch:has-driver}],
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-glx-any [${nvidia:arch:has-driver}],
Breaks:
 nvidia-glx${nvidia:Legacy},
Replaces:
 nvidia-glx${nvidia:Legacy},
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 ${nvidia:no-driver-notice}This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-driver-bin
Section: non-free/x11
Architecture: amd64
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
Breaks:
 ${nvidia}-driver (<< 343.22-2~),
Replaces:
 ${nvidia}-driver (<< 343.22-2~),
Description: NVIDIA driver support binaries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: nvidia-driver-libs
Architecture: i386 amd64
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
 ${nvidia}-egl-icd (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 ${nvidia}-driver-libs-i386 [amd64],
 libopengl0 | libopengl0-glvnd-nvidia,
 libglx-${nvidia}0 (= ${binary:Version}),
 libgles-${nvidia}1 (= ${binary:Version}),
 libgles-${nvidia}2 (= ${binary:Version}),
 lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:arch:has-driver}],
 ${nvidia}-vulkan-icd (= ${binary:Version}) [amd64 i386],
Conflicts:
 libgldispatch0-nvidia,
 libglvnd0-nvidia,
 libopengl0-glvnd-nvidia,
 libglx0-glvnd-nvidia,
 libgl1-glvnd-nvidia-glx,
 libegl1-glvnd-nvidia,
 libgles1-glvnd-nvidia,
 libgles2-glvnd-nvidia,
Breaks:
 ${nvidia}-driver-libs-nonglvnd,
 libgl1-${nvidia}-glx,
 libegl1-${nvidia},
 ${nvidia}-nonglvnd-vulkan-icd,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:LegacyDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: nvidia-driver-libs-i386
Architecture: i386
Multi-Arch: foreign
Depends:
 ${nvidia}-driver-libs,
 ${misc:Depends}
Conflicts:
 libgl1-${nvidia}-glx-i386,
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES 32-bit libraries)${nvidia:LegacyDescShort}
 This metapackage helps the automatic installation of the 32-bit NVIDIA
 OpenGL/GLX/EGL/GLES libraries when installing ${nvidia}-driver-libs
 on amd64 with foreign architecture i386 enabled.

Package: xserver-xorg-video-nvidia
Section: non-free/x11
Architecture: amd64 i386 armhf
Pre-Depends:
 nvidia-installer-cleanup [${nvidia:arch:has-driver}],
 ${nvidia:legacy-check},
Depends:
 xserver-xorg-video-nvidia-legacy-390xx [${nvidia:arch:has-no-driver}],
 lib${nvidia}-glcore (= ${binary:Version}) [${nvidia:arch:has-driver}],
 ${nvidia}-alternative (= ${binary:Version}) [${nvidia:arch:has-driver}],
 nvidia-support [${nvidia:arch:has-driver}],
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver (>= ${nvidia:Version}) [${nvidia:arch:has-driver}],
 ${nvidia}-vdpau-driver (>= ${nvidia:Version}) [${nvidia:arch:has-driver}],
 ${nvidia:kmod:binary},
 ${nvidia-settings} [${nvidia:arch:has-driver}],
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any [${nvidia:arch:has-driver}],
 ${nvidia:xorgProvides},
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 ${nvidia:no-driver-notice}The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-legacy-check
Architecture: amd64
Multi-Arch: foreign
Pre-Depends:
 debconf | debconf-2.0,
 pciutils,
 nvidia-installer-cleanup (>= 20151021),
Depends:
 ${misc:Depends}
Description: check for NVIDIA GPUs requiring a legacy driver
 This package checks whether the system contains NVIDIA GPUs that are no longer
 supported by the main driver line and require a legacy driver.
 .
 If such hardware is present, a (preseedable) debconf question will be asked to
 confirm the installation of the current driver line.

Package: libglx-nvidia0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 libglx0 | libglx0-glvnd-nvidia,
 lib${nvidia}-glcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libglx-vendor,
Description: NVIDIA binary GLX library${nvidia:LegacyDesc}
 GLX ("OpenGL Extension to the X Window System") provides an interface between
 OpenGL and the X Window System as well as extensions to OpenGL itself.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary GLX implementation by NVIDIA
 that is accessed via GLVND.

Package: libgl1-nvidia-glvnd-glx
Architecture: i386 amd64
Multi-Arch: same
Depends:
 libgl1 (>= 0.2.999) | libgl1-glvnd-nvidia-glx,
 libglx-${nvidia}0 (= ${binary:Version}),
 ${misc:Depends}
Provides:
 libgl1-nvidia-glx-any,
Description: NVIDIA binary OpenGL/GLX library (GLVND variant)${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glvnd-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This metapackage depends on the NVIDIA binary OpenGL/GLX implementation using
 GLVND and the corresponding GLVND loader library.

Package: libnvidia-glcore
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-glcore-${nvidia:Version},
Conflicts:
 libnvidia-glcore-${nvidia:Version},
 libgl1-nvidia-glx-${nvidia:Version},
Breaks:
 libgl1-${nvidia}-glx (<< 355.11-5),
Replaces:
 libgl1-${nvidia}-glx (<< 355.11-5),
Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:LegacyDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the private core libraries used by the NVIDIA
 implementation of OpenGL and GLX.

Package: libegl-nvidia0
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 lib${nvidia}-eglcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary EGL library${nvidia:LegacyDesc}
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary EGL implementation provided
 by NVIDIA that is accessed via GLVND.

Package: libgles-nvidia1
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 libgles1 (>= 0.2.999) | libgles1-glvnd-nvidia,
 lib${nvidia}-eglcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 1.x library${nvidia:LegacyDesc}
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 1.x provides an API for fixed-function hardware.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary OpenGL|ES 1.x implementation
 by NVIDIA that is accessed via GLVND.

Package: libgles-nvidia2
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative (= ${binary:Version}),
 libgles2 (>= 0.2.999) | libgles2-glvnd-nvidia,
 lib${nvidia}-eglcore (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA binary OpenGL|ES 2.x library${nvidia:LegacyDesc}
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
 special needs of embedded systems.
 .
 OpenGL|ES 2.x provides an API for programmable hardware including vertex
 and fragment shaders.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary OpenGL|ES 2.x implementation
 by NVIDIA that is accessed via GLVND.

Package: libnvidia-eglcore
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-eglcore-${nvidia:Version},
Conflicts:
 libnvidia-eglcore-${nvidia:Version},
Description: NVIDIA binary EGL core libraries${nvidia:LegacyDesc}
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
