## nvidia-graphics-drivers 440.36

=== debian/changelog ===
nvidia-graphics-drivers (440.36-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Nov 2019 15:11:25 -0800

nvidia-graphics-drivers (440.36-1) experimental; urgency=medium

  * New upstream long lived branch release 440.36 (2019-11-22).
    - Fixed graphical corruption that can occur when using
      glslang SPIR-V Generator Version <= 2.

  [ Andreas Beckmann ]
  * Update symbols files.
  * libcuda1: Add Provides: libcuda-10.2-1{,-i386}.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Nov 2019 15:27:45 +0100

nvidia-graphics-drivers (440.31-1) experimental; urgency=medium

  * New upstream long lived branch release 440.31 (2019-11-04).
    - Added support for the following GPUs: Tesla V100S-PCIE-32GB,
      GeForce GTX 1660 SUPER.
    - Fixed a regression in the 440.26 driver that could prevent the NVIDIA
      kernel modules from building correctly on systems localized to a
      language other than English.  (Closes: #944556)

  [ Andreas Beckmann ]
  * Merge changes from 430.64-1.
  * Update nv-readme.ids.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Nov 2019 00:28:08 +0100

nvidia-graphics-drivers (440.26-1) experimental; urgency=medium

  * New upstream beta 440.26 (2019-10-17).
    - Enabled parallel GLSL shader linking by default; i.e., allow
      GL_ARB_parallel_shader_compile to work without first calling
      glMaxShaderCompilerThreadsARB().
    - Added support for HDMI 2.1 variable refresh rate (VRR) G-SYNC Compatible
      monitors on supported GPUs.  For more details, see "Configuring Multiple
      Display Devices on One X Screen" in the README.
    - Added support for the GLX_NV_multigpu_context and GL_NV_gpu_multicast
      extensions.  For more details, see the "Configuring SLI and Multi-GPU
      FrameRendering" chapter of the README, and the extension specifications:
        https://www.khronos.org/registry/OpenGL/extensions/NV/GLX_NV_multigpu_context.txt
        https://www.khronos.org/registry/OpenGL/extensions/NV/NV_gpu_multicast.txt
    - Fixed a bug that prevented Vulkan applications running on systems
      configured for SLI. Vulkan applications can now run while SLI is
      enabled; however, they will only be able to use a single GPU.
    - Simplified the nvidia-sleep.sh sample script to no longer depend on
      unreliable detection of the current VT through X server logs.
    - Added EGL support for PRIME render offload. Please see the PRIME Render
      Offload chapter in the README for configuration details.
    - Fixed a regression introduced in 435.19.02 that would cause some
      applications which use the VK_KHR_DISPLAY extension to result in a
      segmentation fault.
    - Enabled HardDPMS by default. See the README entry on the X configuration
      option "HardDPMS" for more information.
    - Fixed a bug which caused corruption in the following DXVK titles:
        Saints Row IV, Saints Row: The Third.
    - Added VP9 decode support to the NVIDIA VDPAU driver. See the
      VDPAU Support appendix in the README for supported VP9 decoder
      profiles.
    - Fixed a bug that could cause heapUsage values reported by
      VK_EXT_memory_budget to not immediately update after vkFreeMemory was
      called.
    - Changed GPU clock management strategy to more quickly ramp down clocks
      after a drop in GPU utilization.
    - Added X configuration option, "SidebandSocketPath", which
      controls the directory in which the X driver will create a
      pathname UNIX domain socket used to communicate with the NVIDIA
      OpenGL, Vulkan and VDPAU driver components.
    - The X driver will now create a fallback pathname UNIX domain
      socket in the directory specified by the "SidebandSocketPath"
      option, or /var/run by default, which will be used by other
      NVIDIA driver components if they are unable to connect to the
      default abstract socket.  This fixes a bug where graphics
      applications run within a network namespace (which prevents the
      use of abstract sockets) were unable to take advantage of some
      driver features, such as G-Sync.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Update symbols files.
  * Refresh patches.
  * Update lintian overrides.
  * Continue building libegl1-nvidia.
  * libnvidia-allocator1: New package for the allocator runtime library.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 02 Nov 2019 18:31:45 +0100

nvidia-graphics-drivers (435.21-2) experimental; urgency=medium

  * Merge changes from 430.50-2.
  * Continue building nvidia-nonglvnd-vulkan-common.
  * Restrict watch file to releases from the 435.xx short lived branch.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 31 Oct 2019 15:07:11 +0100

nvidia-graphics-drivers (430.64-1) unstable; urgency=medium

  * New upstream long lived branch release 430.64 (2019-11-05).
    - Fixed a bug that could cause the X server to crash when running
      applications using GLX indirect rendering.
    - Fall back to system memory when video memory is full for some
      driver-internal allocations. This can help fix Xid 13 and
      Xid 31 cases in Vulkan applications when video memory is full.
    - Fixed a bug that could cause a blank screen on some DisplayPort
      monitors when logging in to GNOME, if the nvidia-drm kernel module
      parameter modeset=1 is specified.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Nov 2019 01:43:24 +0100

nvidia-graphics-drivers (430.50-2) unstable; urgency=medium

  * debian/gen-control.pl: Support substitutions in the Architecture field and
    skip packages with empty or commented Architecture field.
  * Build the nvidia-*-common packages for ppc64el.
  * Prepare infrastructure for packaging Tesla driver releases (available for
    amd64 (including some i386 libs) and ppc64el).

