=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 include debian/rules.defs
+NVIDIA_TESLA		?=
 NVIDIA_LEGACY		?=
 WATCH_VERSION		?= $(NVIDIA_LEGACY)
 WATCH_PATTERN		?=
@@ -15,6 +16,7 @@
 LINUX_KMOD_TESTED	?=
 NVIDIA_LEGACY_CHECK	?=
 NVIDIA_SETTINGS		?= nvidia-settings$(legacy)
+ARCH_CANDIDATES		?= amd64 i386 armhf ppc64el
 ARCH_LIST		?= amd64
 BLOB_ARCH_LIST		?= $(strip $(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)))
 NO_DRIVER_ARCH_LIST	?=
@@ -61,10 +63,12 @@
 CONTROL_PREFIXES	+= nvidia-vdpau-driver
 CONTROL_PREFIXES	+= libcuda1
 CONTROL_PREFIXES	+= libnvcuvid1
+CONTROL_PREFIXES	+= libnvoptix1
 CONTROL_PREFIXES	+= nvidia-smi
 CONTROL_PREFIXES	+= nvidia-opencl-icd
 RENAME_libcuda1		 = $(libcuda1)
 RENAME_libnvcuvid1	 = lib$(nvidia_if_legacy)nvcuvid1
+RENAME_libnvoptix1	 = lib$(nvidia_if_legacy)nvoptix1
 renamed_prefix		 = $(or $(RENAME_$1),$(subst nvidia,$(nvidia),$1))
 CONTROL_PREFIXES_RENAMED = $(foreach p,$(CONTROL_PREFIXES),$(call renamed_prefix,$p))
 
@@ -83,6 +87,7 @@
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
 AUTOGEN		+= debian/bug-control
 AUTOGEN		+= debian/substvars
+AUTOGEN		+= $(if $(has_vulkan),nonglvnd/nvidia_icd.json)
 AUTOGEN		+= $(AUTOKEEP)
 AUTOKEEP	 = debian/watch debian/control
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
@@ -115,16 +120,28 @@
 	ln -s ${NVIDIA_DIRNAME_$*} $@
 	gunzip $@/*.1.gz
 
+ifneq (,$(filter i386,$(NO_DRIVER_ARCH_LIST)))
 NVIDIA-Linux-i386: NVIDIA-Linux-amd64
 	$(RM) -r $@
 	cp -al $</32 $@
 	cp -al $</*.icd $@
 	cp -al $</*.json* $@
-
+endif
+
+ifneq (,$(filter armhf,$(NO_DRIVER_ARCH_LIST)))
 NVIDIA-Linux-armhf: NVIDIA-Linux-amd64
 	$(RM) -r $@
 	mkdir $@
 	cp -al $</*.json $@
+endif
+
+ifneq (,$(filter ppc64el,$(NO_DRIVER_ARCH_LIST)))
+NVIDIA-Linux-ppc64el: NVIDIA-Linux-amd64
+	$(RM) -r $@
+	mkdir $@
+	cp -al $</*.icd $@
+	cp -al $</*.json* $@
+endif
 
 # Unpack all architectures, we may need files from all of them.
 unpack-stamp: $(patsubst %,NVIDIA-Linux-%,$(ARCH_LIST))
@@ -137,6 +154,12 @@
 endif
 	ls -al
 	touch $@
+
+nvidia_icd.json.template	 = NVIDIA-Linux/nvidia_icd.json
+$(nvidia_icd.json.template): unpack-stamp
+nonglvnd/nvidia_icd.json: $(nvidia_icd.json.template)
+	mkdir -p $(@D)
+	sed 's/libGLX_nvidia.so.0/libGL.so.1/' $< > $@
 
 nv-readme.ids: unpack-stamp
 	sed	-e '0,/A. Supported\|APPENDIX A: SUPPORTED/d' \
@@ -173,6 +196,7 @@
 	$(RM) -r .pc
 	$(RM) NVIDIA-Linux
 	$(RM) -r $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
+	$(RM) -r nonglvnd
 	$(RM) -r kernel-source-tree
 	$(RM) nvidia.ids nv-readme.ids pci.ids.nvidia*
 	$(RM) LICENSE.txt LICENSE.tmp copyright.tmp
@@ -188,25 +212,3 @@
 
 CONTROL_FILES	 = debian/control.in debian/gen-control.pl debian/rules debian/rules.defs
 
-debian/control: $(CONTROL_FILES) debian/changelog
-	md5sum --check debian/control.md5sum --status || \
-		$(MAKE) -f debian/rules debian/control-real
-	touch $@
-
-override_dh_auto_configure: prepare
-
-# Build two kernel module source tarballs for use with
-#  - module-assistant and make-kpkg
-#  - dkms
-.PHONY: install-into-tmp build-kernel-source-tree build-kernel-dkms-tree kernel-source-tree
-override_dh_auto_install: install-into-tmp
-ifneq (,$(has_driver))
-override_dh_auto_install: build-kernel-source-tree build-kernel-dkms-tree
-endif
-
-install-into-tmp:
-	# "Install" into debian/tmp.
-	$(RM) -r debian/tmp
-	cp -al NVIDIA-Linux/ debian/tmp
-	$(RM) -r debian/tmp/32
-	$(RM) -r debian/tmp/libglvnd_install_checker
